function fig = ellipsoid_sgi_1280x1024()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load ellipsoid_sgi_1280x1024

h0 = figure('Units','points', ...
	'Color',[0.9 1 1], ...
	'Colormap',mat0, ...
	'Name',' BEM simulation of ellipsoid HRTFs', ...
	'NumberTitle','off', ...
	'PaperType','a4letter', ...
	'Position',[108 61.6 800.8000000000001 683.2], ...
	'Tag','Fig3', ...
	'UserData',mat1, ...
	'WindowButtonDownFcn','zoom down', ...
	'WindowButtonUpFcn','ones;');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[72 207.2 80.80000000000001 38.40000000000001], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[74.40000000000001 209.6 73.60000000000001 16.8], ...
	'String','Grid', ...
	'Style','checkbox', ...
	'Tag','GridFlag2', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[74.40000000000001 224.8 74.40000000000001 17.6], ...
	'String','Unwrap', ...
	'Style','checkbox', ...
	'Tag','UnwrapFlag');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[72 614.4000000000001 80.80000000000001 40.8], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.892157 0.00584795 0.106443 0.918129], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.9], ...
	'ListboxTop',11, ...
	'Position',[723.2 396.8 66.40000000000001 68.8], ...
	'String',mat2, ...
	'Style','listbox', ...
	'Tag','Listbox2', ...
	'Value',12);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.9], ...
	'ListboxTop',11, ...
	'Position',[724.8 524 63.2 74.40000000000001], ...
	'String',mat3, ...
	'Style','listbox', ...
	'Tag','Listbox1', ...
	'Value',23);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[0.9050949050949051 0.3903868698710434 0.07992007992007992 0.0492379835873388], ...
	'String',' Deconv. source', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.9], ...
	'ListboxTop',0, ...
	'Max',3, ...
	'Min',1, ...
	'Position',[0.9040959040959041 0.4501758499413833 0.07792207792207792 0.04220398593200469], ...
	'String',['0.25m';'1.00m';'10.0m'], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu2', ...
	'Value',2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[0.904762 0.491228 0.0798319 0.0448343], ...
	'String',' Distance', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','plot_hrtf  close', ...
	'ListboxTop',0, ...
	'Position',[0.904762 0.0356394 0.0812325 0.0419287], ...
	'String','Close', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','plot_hrtf info', ...
	'ListboxTop',0, ...
	'Position',[0.904762 0.0922432 0.0812325 0.0419287], ...
	'String','Info', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[0.903361 0.682261 0.0840336 0.0448343], ...
	'String',' Elevation', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[0.905463 0.873294 0.0798319 0.042885], ...
	'String',' Azimuth', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','zoom', ...
	'ListboxTop',0, ...
	'Position',[0.905462 0.155136 0.0798319 0.0419287], ...
	'String','Zoom', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',12, ...
	'ForegroundColor',[0.2 0.2 0.2], ...
	'ListboxTop',0, ...
	'Position',[2.4 3.2 231.2 16], ...
	'String','(c) Yuvi Kahana   yk@isvr.soton.ac.uk', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'FontUnits','pixels', ...
	'BackgroundColor',[0.8 0.8 0.9], ...
	'FontSize',18, ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[238.4 659.2 342.4 21.6], ...
	'String','  az=110 [deg.]  el= 55 [deg.]  dist=1.00 [m] + deconv.', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[697.6 652 103.2 13.6], ...
	'String','Left ear _ _ _', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[696 663.2 104 16.8], ...
	'String','Right ear ___', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','delete(gca),delete(gca),plot_hrtf plot', ...
	'ListboxTop',0, ...
	'Position',[0.904762 0.213836 0.0812325 0.0419287], ...
	'String','Plot', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'ListboxTop',0, ...
	'Style','text', ...
	'Tag','ZOOMFigureFcns', ...
	'UserData',mat4, ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.9040959040959041 0.3388042203985932 0.07992007992007992 0.0246189917936694], ...
	'String',' Export', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[723.2 215.2 45.6 17.6], ...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'ListboxTop',0, ...
	'Position',[768 215.2 19.2 16], ...
	'String','.txt', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ListboxTop',0, ...
	'Position',[764.8000000000001 268.8 17.6 16.8], ...
	'Style','radiobutton', ...
	'Tag','Radiobutton1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[75.2 617.6 74.40000000000001 20], ...
	'String','Grid', ...
	'Style','checkbox', ...
	'Tag','GridFlag1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[75.2 635.2 74.40000000000001 17.6], ...
	'String','Auto scale', ...
	'Style','checkbox', ...
	'Tag','ScaleFlag', ...
	'Value',1);
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'Color',[1 1 1], ...
	'ColorOrder',mat5, ...
	'Position',[0.09 0.448343079922027 0.777310924369748 0.510721247563353], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'ZColor',[0 0 0], ...
	'ZGrid','on');
h2 = line('Parent',h1, ...
	'Color',[0 0 1], ...
	'Tag','Axes2Line2', ...
	'XData',mat6, ...
	'YData',mat7);
h2 = line('Parent',h1, ...
	'Color',[1 0 0], ...
	'LineStyle','--', ...
	'Tag','Axes2Line1', ...
	'XData',mat8, ...
	'YData',mat9);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-160.8751608751609 -0.02752293577981568 17.32050807568877], ...
	'Rotation',90, ...
	'String','Magnitude [dB]', ...
	'Tag','Axes2Text4', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[2496.782496782497 -6.605504587155963 17.32050807568877], ...
	'String','Frequency [Hz]', ...
	'Tag','Axes2Text3', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-585.5855855855856 6.908256880733948 17.32050807568877], ...
	'Tag','Axes2Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[2496.782496782497 6.165137614678901 17.32050807568877], ...
	'Tag','Axes2Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'Color',[1 1 1], ...
	'ColorOrder',mat10, ...
	'Position',[0.09 0.1 0.777310924369748 0.259259259259259], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'XLim',[0 5000], ...
	'XLimMode','manual', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'YLim',[-240 240], ...
	'YLimMode','manual', ...
	'YTick',[-180 -90 0 90 180], ...
	'YTickMode','manual', ...
	'ZColor',[0 0 0], ...
	'ZGrid','on');
h2 = line('Parent',h1, ...
	'Color',[0 0 1], ...
	'Tag','Axes1Line2', ...
	'XData',mat11, ...
	'YData',mat12);
h2 = line('Parent',h1, ...
	'Color',[1 0 0], ...
	'LineStyle','--', ...
	'Tag','Axes1Line1', ...
	'XData',mat13, ...
	'YData',mat14);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[2496.782496782497 -288 17.32050807568877], ...
	'String','Frequency [Hz]', ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-250.965250965251 -2.181818181818244 17.32050807568877], ...
	'Rotation',90, ...
	'String','Phase [Deg.]', ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat15, ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[2496.782496782497 253.0909090909092 17.32050807568877], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
if nargout > 0, fig = h0; end
