function ellipsoid_sgi_800x600()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load ellipsoid_sgi_800x600             

a = figure('Units','points', ...
	'Color',[0.9 1 1], ...
	'Colormap',mat0, ...
	'Name',' BEM simulation of ellipsoid HRTFs', ...
	'NumberTitle','off', ...
	'PaperType','a4letter', ...
	'Position',[143.2 70.4 800.8 683.2], ...
	'Resize','off', ...
	'Tag','Fig3', ...
	'UserData',mat1, ...
	'WindowButtonDownFcn','zoom down', ...
	'WindowButtonUpFcn','ones;');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[72 207.2 80.8 38.4], ...
	'Style','frame', ...
	'Tag','Frame2');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Position',[74.4 209.6 73.6 16.8], ...
	'String','Grid', ...
	'Style','checkbox', ...
	'Tag','GridFlag2', ...
	'Value',1);
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Position',[74.4 224.8 74.4 17.6], ...
	'String','Unwrap', ...
	'Style','checkbox', ...
	'Tag','UnwrapFlag');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[72 614.4 80.8 40.8], ...
	'Style','frame', ...
	'Tag','Frame2');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.892157 0.00584795 0.106443 0.918129], ...
	'Style','frame', ...
	'Tag','Frame1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.9], ...
	'ListboxTop',12, ...
	'Position',[723.2 396.8 66.4 68.8], ...
	'String',mat2, ...
	'Style','listbox', ...
	'Tag','Listbox2', ...
	'Value',12);
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.9], ...
	'ListboxTop',23, ...
	'Position',[724.8 524 63.2 74.4], ...
	'String',mat3, ...
	'Style','listbox', ...
	'Tag','Listbox1', ...
	'Value',23);
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'Position',[0.905095 0.390387 0.0799201 0.049238], ...
	'String',' Deconv. source', ...
	'Style','text', ...
	'Tag','StaticText2');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.9], ...
	'Max',3, ...
	'Min',1, ...
	'Position',[0.904096 0.450176 0.0779221 0.042204], ...
	'String',['0.25m';'1.00m';'10.0m'], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu2', ...
	'Value',2);
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'Position',[0.904762 0.491228 0.0798319 0.0448343], ...
	'String',' Distance', ...
	'Style','text', ...
	'Tag','StaticText2');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'Callback','plot_hrtf  close', ...
	'Position',[0.904762 0.0356394 0.0812325 0.0419287], ...
	'String','Close', ...
	'Tag','Pushbutton1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'Callback','plot_hrtf info', ...
	'Position',[0.904762 0.0922432 0.0812325 0.0419287], ...
	'String','Info', ...
	'Tag','Pushbutton2');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'Position',[0.903361 0.682261 0.0840336 0.0448343], ...
	'String',' Elevation', ...
	'Style','text', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'Position',[0.905463 0.873294 0.0798319 0.042885], ...
	'String',' Azimuth', ...
	'Style','text', ...
	'Tag','StaticText2');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'Callback','zoom', ...
	'Position',[0.905462 0.155136 0.0798319 0.0419287], ...
	'String','Zoom', ...
	'Tag','Pushbutton4');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.9 1 1], ...
	'FontSize',12, ...
	'ForegroundColor',[0.2 0.2 0.2], ...
	'HorizontalAlignment','left', ...
	'Position',[2.4 3.2 425.6 16], ...
	'String','(c) Yuvi Kahana   yk@isvr.soton.ac.uk', ...
	'Style','text', ...
	'Tag','StaticText3');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'FontUnits','pixels', ...
	'BackgroundColor',[0.8 0.8 0.9], ...
	'FontSize',18, ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'Position',[238.4 659.2 342.4 21.6], ...
	'String','  az=110 [deg.]  el= 55 [deg.]  dist=1.00 [m] + deconv.', ...
	'Style','text', ...
	'Tag','StaticText4');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ForegroundColor',[1 0 0], ...
	'Position',[697.6 652 103.2 13.6], ...
	'String','Left ear _ _ _', ...
	'Style','text', ...
	'Tag','StaticText5');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ForegroundColor',[0 0 1], ...
	'Position',[696 663.2 104 16.8], ...
	'String','Right ear ___', ...
	'Style','text', ...
	'Tag','StaticText5');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'Callback','delete(gca),delete(gca),plot_hrtf plot', ...
	'Position',[0.904762 0.213836 0.0812325 0.0419287], ...
	'String','Plot', ...
	'Tag','Pushbutton4');
b = uicontrol('Parent',a, ...
	'ListboxTop',0, ...
	'Style','text', ...
	'Tag','ZOOMFigureFcns', ...
	'UserData',mat4, ...
	'Visible','off');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[723.2 221.6 68 21.6], ...
	'String','file_name', ...
	'Style','edit', ...
	'Tag','EditText1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ListboxTop',0, ...
	'Position',[764.8 268.8 17.6 16.8], ...
	'Style','radiobutton', ...
	'Tag','Radiobutton1', ...
	'Value',1);
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Position',[75.2 617.6 74.4 20], ...
	'String','Grid', ...
	'Style','checkbox', ...
	'Tag','GridFlag1', ...
	'Value',1);
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Position',[75.2 635.2 74.4 17.6], ...
	'String','Auto scale', ...
	'Style','checkbox', ...
	'Tag','ScaleFlag', ...
	'Value',1);
b = axes('Parent',a, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat5, ...
	'Position',[0.09 0.448343 0.777311 0.510721], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'ZColor',[0 0 0], ...
	'ZGrid','on');
c = line('Parent',b, ...
	'Color',[0 0 1], ...
	'Tag','Axes2Line2', ...
	'XData',mat6, ...
	'YData',mat7);
c = line('Parent',b, ...
	'Color',[1 0 0], ...
	'LineStyle','--', ...
	'Tag','Axes2Line1', ...
	'XData',mat8, ...
	'YData',mat9);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[-160.875 -0.0275229 0], ...
	'Rotation',90, ...
	'String','Magnitude [dB]', ...
	'Tag','Axes2Text4', ...
	'VerticalAlignment','baseline');
set(get(c,'Parent'),'YLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[2496.78 -6.6055 0], ...
	'String','Frequency [Hz]', ...
	'Tag','Axes2Text3', ...
	'VerticalAlignment','cap');
set(get(c,'Parent'),'XLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','right', ...
	'Position',[-585.586 6.90826 0], ...
	'Tag','Axes2Text2', ...
	'Visible','off');
set(get(c,'Parent'),'ZLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[2496.78 6.16514 0], ...
	'Tag','Axes2Text1', ...
	'VerticalAlignment','bottom');
set(get(c,'Parent'),'Title',c);
b = axes('Parent',a, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat10, ...
	'Position',[0.09 0.1 0.777311 0.259259], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'XLim',[0 5000], ...
	'XLimMode','manual', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'YLim',[-240 240], ...
	'YLimMode','manual', ...
	'YTick',[-180 -90 0 90 180], ...
	'YTickMode','manual', ...
	'ZColor',[0 0 0], ...
	'ZGrid','on');
c = line('Parent',b, ...
	'Color',[0 0 1], ...
	'Tag','Axes1Line2', ...
	'XData',mat11, ...
	'YData',mat12);
c = line('Parent',b, ...
	'Color',[1 0 0], ...
	'LineStyle','--', ...
	'Tag','Axes1Line1', ...
	'XData',mat13, ...
	'YData',mat14);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[2496.78 -288 0], ...
	'String','Frequency [Hz]', ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(c,'Parent'),'XLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[-250.965 -2.18182 0], ...
	'Rotation',90, ...
	'String','Phase [Deg.]', ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(c,'Parent'),'YLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','right', ...
	'Position',[-585.586 1431.27 0], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(c,'Parent'),'ZLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[2496.78 253.091 0], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(c,'Parent'),'Title',c);
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.3 0.3 0.8], ...
	'ForegroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'Position',[0.903097 0.355972 0.0849151 0.028103], ...
	'String',' Export', ...
	'Style','text', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','points', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[759.2 244.8 31.2 15.2], ...
	'String','.txt', ...
	'Style','text', ...
	'Tag','StaticText7');
